# script for ceph standalone deployment

The script `ceph-deploy.py` performs a ceph standalone installation on a single node. 
It generates a JBOD disks map through the script `diskPosition2`, then creates OSDs partitions, downloads and updates puppet configurations and finally runs puppet to deploy ceph.
Required arguments are Wal, DB and Data partitions' sizes:
```
./ceph-deploy.py -h
usage: ceph-deploy.py [-h] [-t DATA] [-w WAL] [-d DB]

Perform standalone CEPH installation.

optional arguments:
  -h, --help            show this help message and exit
  -t DATA, --data DATA  Data partition size
  -w WAL, --wal WAL     Wal partition size
  -d DB, --db DB        DB partition size
```
For instance:
```
./ceph-deploy.py -t 15G -w 1G -d 10G
```
