class storage_ceph::disks::disks_lists {
  $disks_list = {
    'ceph_osd_test' => {
                     '/dev/disk1_data/sdb_data'=> {
                                                    store_type => 'bluestore',
                                                    bluestore_wal => 'disk2_journal/sdb_wal',
                                                    bluestore_db => 'disk2_journal/sdb_db',
                                                    ensure     => 'present',
                                                  }
                      },
    'ceph_osd_list_prod_cs-001' => {
      '23-2EH3N2JX-HGST-HUH728080AL4200/sdaa_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdaa_wal',        
         bluestore_db => 'cs-001_journal/sdaa_db',        
         ensure     => 'present',
      },
      '24-2EH3GSNX-HGST-HUH728080AL4200/sdab_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdab_wal',        
         bluestore_db => 'cs-001_journal/sdab_db',        
         ensure     => 'present',
      },
      '25-2EGYZX1X-HGST-HUH728080AL4200/sdac_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdac_wal',        
         bluestore_db => 'cs-001_journal/sdac_db',        
         ensure     => 'present',
      },
      '26-2EH87DSV-HGST-HUH728080AL4200/sdad_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdad_wal',        
         bluestore_db => 'cs-001_journal/sdad_db',        
         ensure     => 'present',
      },
      '27-2EGP9Z4V-HGST-HUH728080AL4200/sdae_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdae_wal',        
         bluestore_db => 'cs-001_journal/sdae_db',        
         ensure     => 'present',
      },
      '28-2EGKBRAV-HGST-HUH728080AL4200/sdaf_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdaf_wal',        
         bluestore_db => 'cs-001_journal/sdaf_db',        
         ensure     => 'present',
      },
      '29-2EH5WTUV-HGST-HUH728080AL4200/sdag_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdag_wal',        
         bluestore_db => 'cs-001_journal/sdag_db',        
         ensure     => 'present',
      },
      '0-2EH13V4X-HGST-HUH728080AL4200/sdd_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdd_wal',        
         bluestore_db => 'cs-001_journal/sdd_db',        
         ensure     => 'present',
      },
      '1-2EGRN53V-HGST-HUH728080AL4200/sde_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sde_wal',        
         bluestore_db => 'cs-001_journal/sde_db',        
         ensure     => 'present',
      },
      '2-2EGSSBLX-HGST-HUH728080AL4200/sdf_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdf_wal',        
         bluestore_db => 'cs-001_journal/sdf_db',        
         ensure     => 'present',
      },
      '3-2EGZVAPX-HGST-HUH728080AL4200/sdg_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdg_wal',        
         bluestore_db => 'cs-001_journal/sdg_db',        
         ensure     => 'present',
      },
      '4-2EJT1WPV-HGST-HUH728080AL4200/sdh_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdh_wal',        
         bluestore_db => 'cs-001_journal/sdh_db',        
         ensure     => 'present',
      },
      '5-2EGY07NV-HGST-HUH728080AL4200/sdi_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdi_wal',        
         bluestore_db => 'cs-001_journal/sdi_db',        
         ensure     => 'present',
      },
      '6-2EGYHR6V-HGST-HUH728080AL4200/sdj_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdj_wal',        
         bluestore_db => 'cs-001_journal/sdj_db',        
         ensure     => 'present',
      },
      '7-2EH88GLV-HGST-HUH728080AL4200/sdk_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdk_wal',        
         bluestore_db => 'cs-001_journal/sdk_db',        
         ensure     => 'present',
      },
      '8-2EH2TDTX-HGST-HUH728080AL4200/sdl_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdl_wal',        
         bluestore_db => 'cs-001_journal/sdl_db',        
         ensure     => 'present',
      },
      '9-2EGHR4EV-HGST-HUH728080AL4200/sdm_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdm_wal',        
         bluestore_db => 'cs-001_journal/sdm_db',        
         ensure     => 'present',
      },
      '10-2EGXX8RX-HGST-HUH728080AL4200/sdn_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdn_wal',        
         bluestore_db => 'cs-001_journal/sdn_db',        
         ensure     => 'present',
      },
      '11-2EGYPWMX-HGST-HUH728080AL4200/sdo_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdo_wal',        
         bluestore_db => 'cs-001_journal/sdo_db',        
         ensure     => 'present',
      },
      '12-2EH5WVEV-HGST-HUH728080AL4200/sdp_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdp_wal',        
         bluestore_db => 'cs-001_journal/sdp_db',        
         ensure     => 'present',
      },
      '13-2EH89NPV-HGST-HUH728080AL4200/sdq_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdq_wal',        
         bluestore_db => 'cs-001_journal/sdq_db',        
         ensure     => 'present',
      },
      '14-2EGXB0UV-HGST-HUH728080AL4200/sdr_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdr_wal',        
         bluestore_db => 'cs-001_journal/sdr_db',        
         ensure     => 'present',
      },
      '15-2EH8R5ZV-HGST-HUH728080AL4200/sds_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sds_wal',        
         bluestore_db => 'cs-001_journal/sds_db',        
         ensure     => 'present',
      },
      '16-2EH66R9V-HGST-HUH728080AL4200/sdt_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdt_wal',        
         bluestore_db => 'cs-001_journal/sdt_db',        
         ensure     => 'present',
      },
      '17-2EGXD4TV-HGST-HUH728080AL4200/sdu_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdu_wal',        
         bluestore_db => 'cs-001_journal/sdu_db',        
         ensure     => 'present',
      },
      '18-2EH802TV-HGST-HUH728080AL4200/sdv_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdv_wal',        
         bluestore_db => 'cs-001_journal/sdv_db',        
         ensure     => 'present',
      },
      '19-2EGUAYDX-HGST-HUH728080AL4200/sdw_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdw_wal',        
         bluestore_db => 'cs-001_journal/sdw_db',        
         ensure     => 'present',
      },
      '20-2EGYHHGV-HGST-HUH728080AL4200/sdx_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdx_wal',        
         bluestore_db => 'cs-001_journal/sdx_db',        
         ensure     => 'present',
      },
      '21-2EH86ZZV-HGST-HUH728080AL4200/sdy_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdy_wal',        
         bluestore_db => 'cs-001_journal/sdy_db',        
         ensure     => 'present',
      },
      '22-2EGSLU3X-HGST-HUH728080AL4200/sdz_data'=>         {
         store_type => 'bluestore',        
         bluestore_wal => 'cs-001_journal/sdz_wal',        
         bluestore_db => 'cs-001_journal/sdz_db',        
         ensure     => 'present',
      },
    },
  }
}
