### Manual Maintenance

## Clean OSD removal
```
ceph osd safe-to-destroy osd.0

ceph osd out <ID>
systemctl  stop ceph-osd.<ID>
ceph osd crush remove osd.<ID>
ceph osd down 0
ceph auth del osd.<ID>
ceph osd rm <ID>
```
Remove the logical volumes, volume groups and physical volumes
```
lvremove <list of volumes>
vgremove <list of volume groups>
pvremove <list of physical volumes>
```

## Clean mds removal
```
systemctl stop ceph-mds@<id>.service
rm -rf /var/lib/ceph/mds/ceph-<id>
ceph auth rm mds.<id>
```

## Clean mgr removal
```
systemctl stop ceph-mds@<id>.service
rm -rf /var/lib/ceph/mds/ceph-<id>
ceph auth rm mds.<id>
```

## Clean mon removal
```
systemctl stop ceph-mon@<id>.service
rm -rf /var/lib/ceph/mon/ceph-<id>
ceph auth rm mon.<id>
```



