```
ceph-deploy disk zap  cs-001  /dev/sdap
ceph-deploy disk zap  cs-001  /dev/sdaq
ceph-deploy disk zap  cs-001  /dev/sdar
ceph-deploy disk zap  cs-001  /dev/sdas
ceph-deploy disk zap  cs-001  /dev/sdat
ceph-deploy disk zap  cs-001  /dev/sdau
ceph-deploy disk zap  cs-001  /dev/sdav
ceph-deploy disk zap  cs-001  /dev/sdaw
ceph-deploy disk zap  cs-001  /dev/sdax
ceph-deploy disk zap  cs-001  /dev/sday
ceph-deploy disk zap  cs-001  /dev/sdaz
ceph-deploy disk zap  cs-001  /dev/sdba
ceph-deploy disk zap  cs-001  /dev/sdbb
ceph-deploy disk zap  cs-001  /dev/sdbc
ceph-deploy disk zap  cs-001  /dev/sdbd
ceph-deploy disk zap  cs-001  /dev/sdbe
ceph-deploy disk zap  cs-001  /dev/sdbf
ceph-deploy disk zap  cs-001  /dev/sdbg
ceph-deploy disk zap  cs-001  /dev/sdbh
ceph-deploy disk zap  cs-001  /dev/sdbi
```

```
ceph-deploy --overwrite-conf osd create cs-001 --data /dev/sdap  --block-db ceph-db-0/db-40 --block-wal ceph-db-0/wal-40
ceph-deploy --overwrite-conf osd create cs-001 --data /dev/sdaq  --block-db ceph-db-0/db-41 --block-wal ceph-db-0/wal-41
ceph-deploy --overwrite-conf osd create cs-001 --data /dev/sdar  --block-db ceph-db-0/db-42 --block-wal ceph-db-0/wal-42
ceph-deploy --overwrite-conf osd create cs-001 --data /dev/sdas  --block-db ceph-db-0/db-43 --block-wal ceph-db-0/wal-43
ceph-deploy --overwrite-conf osd create cs-001 --data /dev/sdat  --block-db ceph-db-0/db-44 --block-wal ceph-db-0/wal-44
ceph-deploy --overwrite-conf osd create cs-001 --data /dev/sdau  --block-db ceph-db-0/db-45 --block-wal ceph-db-0/wal-45
ceph-deploy --overwrite-conf osd create cs-001 --data /dev/sdav  --block-db ceph-db-0/db-46 --block-wal ceph-db-0/wal-46
ceph-deploy --overwrite-conf osd create cs-001 --data /dev/sdaw  --block-db ceph-db-0/db-47 --block-wal ceph-db-0/wal-47
ceph-deploy --overwrite-conf osd create cs-001 --data /dev/sdax  --block-db ceph-db-0/db-48 --block-wal ceph-db-0/wal-48
ceph-deploy --overwrite-conf osd create cs-001 --data /dev/sday  --block-db ceph-db-0/db-49 --block-wal ceph-db-0/wal-49
ceph-deploy --overwrite-conf osd create cs-001 --data /dev/sdaz  --block-db ceph-db-0/db-50 --block-wal ceph-db-0/wal-50
ceph-deploy --overwrite-conf osd create cs-001 --data /dev/sdba  --block-db ceph-db-0/db-51 --block-wal ceph-db-0/wal-51
ceph-deploy --overwrite-conf osd create cs-001 --data /dev/sdbb  --block-db ceph-db-0/db-52 --block-wal ceph-db-0/wal-52
ceph-deploy --overwrite-conf osd create cs-001 --data /dev/sdbc  --block-db ceph-db-0/db-53 --block-wal ceph-db-0/wal-53
ceph-deploy --overwrite-conf osd create cs-001 --data /dev/sdbd  --block-db ceph-db-0/db-54 --block-wal ceph-db-0/wal-54
ceph-deploy --overwrite-conf osd create cs-001 --data /dev/sdbe  --block-db ceph-db-0/db-55 --block-wal ceph-db-0/wal-55
ceph-deploy --overwrite-conf osd create cs-001 --data /dev/sdbf  --block-db ceph-db-0/db-56 --block-wal ceph-db-0/wal-56
ceph-deploy --overwrite-conf osd create cs-001 --data /dev/sdbg  --block-db ceph-db-0/db-57 --block-wal ceph-db-0/wal-57
ceph-deploy --overwrite-conf osd create cs-001 --data /dev/sdbh  --block-db ceph-db-0/db-58 --block-wal ceph-db-0/wal-58
ceph-deploy --overwrite-conf osd create cs-001 --data /dev/sdbi  --block-db ceph-db-0/db-59 --block-wal ceph-db-0/wal-59
```

```
ceph-deploy disk zap  cs-002  /dev/sdap
ceph-deploy disk zap  cs-002  /dev/sdaq
ceph-deploy disk zap  cs-002  /dev/sdar
ceph-deploy disk zap  cs-002  /dev/sdas
ceph-deploy disk zap  cs-002  /dev/sdat
ceph-deploy disk zap  cs-002  /dev/sdau
ceph-deploy disk zap  cs-002  /dev/sdav
ceph-deploy disk zap  cs-002  /dev/sdaw
ceph-deploy disk zap  cs-002  /dev/sdax
ceph-deploy disk zap  cs-002  /dev/sday
ceph-deploy disk zap  cs-002  /dev/sdaz
ceph-deploy disk zap  cs-002  /dev/sdba
ceph-deploy disk zap  cs-002  /dev/sdbb
ceph-deploy disk zap  cs-002  /dev/sdbc
ceph-deploy disk zap  cs-002  /dev/sdbd
ceph-deploy disk zap  cs-002  /dev/sdbe
ceph-deploy disk zap  cs-002  /dev/sdbf
ceph-deploy disk zap  cs-002  /dev/sdbg
ceph-deploy disk zap  cs-002  /dev/sdbh
ceph-deploy disk zap  cs-002  /dev/sdbi
```
```
parts=(); for part in $(cat partitions-cs002); do parts+=("$part"); done; for i in $(seq 0 9); do ceph-deploy --overwrite-conf osd create cs-002 --data ${parts[$i]} --block-db ceph-db-0/db-4$i --block-wal ceph-db-0/wal-4$i; done; for i in $(seq 0 9); do ceph-deploy --overwrite-conf osd create cs-002 --data ${parts[$i+10]} --block-db ceph-db-0/db-5$i --block-wal ceph-db-0/wal-5$i; done
```
```
ceph-deploy --overwrite-conf osd create cs-002 --data /dev/sdap  --block-db ceph-db-0/db-40 --block-wal ceph-db-0/wal-40
ceph-deploy --overwrite-conf osd create cs-002 --data /dev/sdaq  --block-db ceph-db-0/db-41 --block-wal ceph-db-0/wal-41
ceph-deploy --overwrite-conf osd create cs-002 --data /dev/sdar  --block-db ceph-db-0/db-42 --block-wal ceph-db-0/wal-42
ceph-deploy --overwrite-conf osd create cs-002 --data /dev/sdas  --block-db ceph-db-0/db-43 --block-wal ceph-db-0/wal-43
ceph-deploy --overwrite-conf osd create cs-002 --data /dev/sdat  --block-db ceph-db-0/db-44 --block-wal ceph-db-0/wal-44
ceph-deploy --overwrite-conf osd create cs-002 --data /dev/sdau  --block-db ceph-db-0/db-45 --block-wal ceph-db-0/wal-45
ceph-deploy --overwrite-conf osd create cs-002 --data /dev/sdav  --block-db ceph-db-0/db-46 --block-wal ceph-db-0/wal-46
ceph-deploy --overwrite-conf osd create cs-002 --data /dev/sdaw  --block-db ceph-db-0/db-47 --block-wal ceph-db-0/wal-47
ceph-deploy --overwrite-conf osd create cs-002 --data /dev/sdax  --block-db ceph-db-0/db-48 --block-wal ceph-db-0/wal-48
ceph-deploy --overwrite-conf osd create cs-002 --data /dev/sday  --block-db ceph-db-0/db-49 --block-wal ceph-db-0/wal-49
ceph-deploy --overwrite-conf osd create cs-002 --data /dev/sdaz  --block-db ceph-db-0/db-50 --block-wal ceph-db-0/wal-50
ceph-deploy --overwrite-conf osd create cs-002 --data /dev/sdba  --block-db ceph-db-0/db-51 --block-wal ceph-db-0/wal-51
ceph-deploy --overwrite-conf osd create cs-002 --data /dev/sdbb  --block-db ceph-db-0/db-52 --block-wal ceph-db-0/wal-52
ceph-deploy --overwrite-conf osd create cs-002 --data /dev/sdbc  --block-db ceph-db-0/db-53 --block-wal ceph-db-0/wal-53
ceph-deploy --overwrite-conf osd create cs-002 --data /dev/sdbd  --block-db ceph-db-0/db-54 --block-wal ceph-db-0/wal-54
ceph-deploy --overwrite-conf osd create cs-002 --data /dev/sdbe  --block-db ceph-db-0/db-55 --block-wal ceph-db-0/wal-55
ceph-deploy --overwrite-conf osd create cs-002 --data /dev/sdbf  --block-db ceph-db-0/db-56 --block-wal ceph-db-0/wal-56
ceph-deploy --overwrite-conf osd create cs-002 --data /dev/sdbg  --block-db ceph-db-0/db-57 --block-wal ceph-db-0/wal-57
ceph-deploy --overwrite-conf osd create cs-002 --data /dev/sdbh  --block-db ceph-db-0/db-58 --block-wal ceph-db-0/wal-58
ceph-deploy --overwrite-conf osd create cs-002 --data /dev/sdbi  --block-db ceph-db-0/db-59 --block-wal ceph-db-0/wal-59
```

```
ceph-deploy disk zap  cs-003  /dev/sdap
ceph-deploy disk zap  cs-003  /dev/sdaq
ceph-deploy disk zap  cs-003  /dev/sdar
ceph-deploy disk zap  cs-003  /dev/sdas
ceph-deploy disk zap  cs-003  /dev/sdat
ceph-deploy disk zap  cs-003  /dev/sdau
ceph-deploy disk zap  cs-003  /dev/sdav
ceph-deploy disk zap  cs-003  /dev/sdaw
ceph-deploy disk zap  cs-003  /dev/sdax
ceph-deploy disk zap  cs-003  /dev/sday
ceph-deploy disk zap  cs-003  /dev/sdaz
ceph-deploy disk zap  cs-003  /dev/sdba
ceph-deploy disk zap  cs-003  /dev/sdbb
ceph-deploy disk zap  cs-003  /dev/sdbc
ceph-deploy disk zap  cs-003  /dev/sdbd
ceph-deploy disk zap  cs-003  /dev/sdbe
ceph-deploy disk zap  cs-003  /dev/sdbf
ceph-deploy disk zap  cs-003  /dev/sdbg
ceph-deploy disk zap  cs-003  /dev/sdbh
ceph-deploy disk zap  cs-003  /dev/sdbi
```

```
ceph-deploy --overwrite-conf osd create cs-003 --data /dev/sdap  --block-db ceph-db-0/db-40 --block-wal ceph-db-0/wal-40
ceph-deploy --overwrite-conf osd create cs-003 --data /dev/sdaq  --block-db ceph-db-0/db-41 --block-wal ceph-db-0/wal-41
ceph-deploy --overwrite-conf osd create cs-003 --data /dev/sdar  --block-db ceph-db-0/db-42 --block-wal ceph-db-0/wal-42
ceph-deploy --overwrite-conf osd create cs-003 --data /dev/sdas  --block-db ceph-db-0/db-43 --block-wal ceph-db-0/wal-43
ceph-deploy --overwrite-conf osd create cs-003 --data /dev/sdat  --block-db ceph-db-0/db-44 --block-wal ceph-db-0/wal-44
ceph-deploy --overwrite-conf osd create cs-003 --data /dev/sdau  --block-db ceph-db-0/db-45 --block-wal ceph-db-0/wal-45
ceph-deploy --overwrite-conf osd create cs-003 --data /dev/sdav  --block-db ceph-db-0/db-46 --block-wal ceph-db-0/wal-46
ceph-deploy --overwrite-conf osd create cs-003 --data /dev/sdaw  --block-db ceph-db-0/db-47 --block-wal ceph-db-0/wal-47
ceph-deploy --overwrite-conf osd create cs-003 --data /dev/sdax  --block-db ceph-db-0/db-48 --block-wal ceph-db-0/wal-48
ceph-deploy --overwrite-conf osd create cs-003 --data /dev/sday  --block-db ceph-db-0/db-49 --block-wal ceph-db-0/wal-49
ceph-deploy --overwrite-conf osd create cs-003 --data /dev/sdaz  --block-db ceph-db-0/db-50 --block-wal ceph-db-0/wal-50
ceph-deploy --overwrite-conf osd create cs-003 --data /dev/sdba  --block-db ceph-db-0/db-51 --block-wal ceph-db-0/wal-51
ceph-deploy --overwrite-conf osd create cs-003 --data /dev/sdbb  --block-db ceph-db-0/db-52 --block-wal ceph-db-0/wal-52
ceph-deploy --overwrite-conf osd create cs-003 --data /dev/sdbc  --block-db ceph-db-0/db-53 --block-wal ceph-db-0/wal-53
ceph-deploy --overwrite-conf osd create cs-003 --data /dev/sdbd  --block-db ceph-db-0/db-54 --block-wal ceph-db-0/wal-54
ceph-deploy --overwrite-conf osd create cs-003 --data /dev/sdbe  --block-db ceph-db-0/db-55 --block-wal ceph-db-0/wal-55
ceph-deploy --overwrite-conf osd create cs-003 --data /dev/sdbf  --block-db ceph-db-0/db-56 --block-wal ceph-db-0/wal-56
ceph-deploy --overwrite-conf osd create cs-003 --data /dev/sdbg  --block-db ceph-db-0/db-57 --block-wal ceph-db-0/wal-57
ceph-deploy --overwrite-conf osd create cs-003 --data /dev/sdbh  --block-db ceph-db-0/db-58 --block-wal ceph-db-0/wal-58
ceph-deploy --overwrite-conf osd create cs-003 --data /dev/sdbi  --block-db ceph-db-0/db-59 --block-wal ceph-db-0/wal-59
```


```
ceph-deploy disk zap  cs-004  /dev/sdap
ceph-deploy disk zap  cs-004  /dev/sdaq
ceph-deploy disk zap  cs-004  /dev/sdar
ceph-deploy disk zap  cs-004  /dev/sdas
ceph-deploy disk zap  cs-004  /dev/sdat
ceph-deploy disk zap  cs-004  /dev/sdau
ceph-deploy disk zap  cs-004  /dev/sdav
ceph-deploy disk zap  cs-004  /dev/sdaw
ceph-deploy disk zap  cs-004  /dev/sdax
ceph-deploy disk zap  cs-004  /dev/sday
ceph-deploy disk zap  cs-004  /dev/sdaz
ceph-deploy disk zap  cs-004  /dev/sdba
ceph-deploy disk zap  cs-004  /dev/sdbb
ceph-deploy disk zap  cs-004  /dev/sdbc
ceph-deploy disk zap  cs-004  /dev/sdbd
ceph-deploy disk zap  cs-004  /dev/sdbe
ceph-deploy disk zap  cs-004  /dev/sdbf
ceph-deploy disk zap  cs-004  /dev/sdbg
ceph-deploy disk zap  cs-004  /dev/sdbh
ceph-deploy disk zap  cs-004  /dev/sdbi
```
```
ceph-deploy --overwrite-conf osd create cs-004 --data /dev/sdap  --block-db ceph-db-0/db-40 --block-wal ceph-db-0/wal-40
ceph-deploy --overwrite-conf osd create cs-004 --data /dev/sdaq  --block-db ceph-db-0/db-41 --block-wal ceph-db-0/wal-41
ceph-deploy --overwrite-conf osd create cs-004 --data /dev/sdar  --block-db ceph-db-0/db-42 --block-wal ceph-db-0/wal-42
ceph-deploy --overwrite-conf osd create cs-004 --data /dev/sdas  --block-db ceph-db-0/db-43 --block-wal ceph-db-0/wal-43
ceph-deploy --overwrite-conf osd create cs-004 --data /dev/sdat  --block-db ceph-db-0/db-44 --block-wal ceph-db-0/wal-44
ceph-deploy --overwrite-conf osd create cs-004 --data /dev/sdau  --block-db ceph-db-0/db-45 --block-wal ceph-db-0/wal-45
ceph-deploy --overwrite-conf osd create cs-004 --data /dev/sdav  --block-db ceph-db-0/db-46 --block-wal ceph-db-0/wal-46
ceph-deploy --overwrite-conf osd create cs-004 --data /dev/sdaw  --block-db ceph-db-0/db-47 --block-wal ceph-db-0/wal-47
ceph-deploy --overwrite-conf osd create cs-004 --data /dev/sdax  --block-db ceph-db-0/db-48 --block-wal ceph-db-0/wal-48
ceph-deploy --overwrite-conf osd create cs-004 --data /dev/sday  --block-db ceph-db-0/db-49 --block-wal ceph-db-0/wal-49
ceph-deploy --overwrite-conf osd create cs-004 --data /dev/sdaz  --block-db ceph-db-0/db-50 --block-wal ceph-db-0/wal-50
ceph-deploy --overwrite-conf osd create cs-004 --data /dev/sdba  --block-db ceph-db-0/db-51 --block-wal ceph-db-0/wal-51
ceph-deploy --overwrite-conf osd create cs-004 --data /dev/sdbb  --block-db ceph-db-0/db-52 --block-wal ceph-db-0/wal-52
ceph-deploy --overwrite-conf osd create cs-004 --data /dev/sdbc  --block-db ceph-db-0/db-53 --block-wal ceph-db-0/wal-53
ceph-deploy --overwrite-conf osd create cs-004 --data /dev/sdbd  --block-db ceph-db-0/db-54 --block-wal ceph-db-0/wal-54
ceph-deploy --overwrite-conf osd create cs-004 --data /dev/sdbe  --block-db ceph-db-0/db-55 --block-wal ceph-db-0/wal-55
ceph-deploy --overwrite-conf osd create cs-004 --data /dev/sdbf  --block-db ceph-db-0/db-56 --block-wal ceph-db-0/wal-56
ceph-deploy --overwrite-conf osd create cs-004 --data /dev/sdbg  --block-db ceph-db-0/db-57 --block-wal ceph-db-0/wal-57
ceph-deploy --overwrite-conf osd create cs-004 --data /dev/sdbh  --block-db ceph-db-0/db-58 --block-wal ceph-db-0/wal-58
ceph-deploy --overwrite-conf osd create cs-004 --data /dev/sdbi  --block-db ceph-db-0/db-59 --block-wal ceph-db-0/wal-59
```
```
gdisk /dev/sdap < input.txt
gdisk /dev/sdaq < input.txt
gdisk /dev/sdar < input.txt
gdisk /dev/sdas < input.txt
gdisk /dev/sdat < input.txt
gdisk /dev/sdau < input.txt
gdisk /dev/sdav < input.txt
gdisk /dev/sdaw < input.txt
gdisk /dev/sdax < input.txt
gdisk /dev/sday < input.txt
gdisk /dev/sdaz < input.txt
gdisk /dev/sdba < input.txt
gdisk /dev/sdbb < input.txt
gdisk /dev/sdbc < input.txt
gdisk /dev/sdbd < input.txt
gdisk /dev/sdbe < input.txt
gdisk /dev/sdbf < input.txt
gdisk /dev/sdbg < input.txt
gdisk /dev/sdbh < input.txt
gdisk /dev/sdbi < input.txt
```